NMSettingCdma
3
LIBNM-UTIL Library

# NMSettingCdma

Describes CDMA-based mobile broadband properties

## Synopsis

    #include <nm-setting-cdma.h>

    #define             NM_SETTING_CDMA_SETTING_NAME
    enum                NMSettingCdmaError;
    #define             NM_TYPE_SETTING_CDMA_ERROR
    #define             NM_SETTING_CDMA_ERROR
    GQuark              nm_setting_cdma_error_quark         (void);
    #define             NM_SETTING_CDMA_NUMBER
    #define             NM_SETTING_CDMA_USERNAME
    #define             NM_SETTING_CDMA_PASSWORD
                        NMSettingCdma;
    GType               nm_setting_cdma_get_type            (void);
    NMSetting *         nm_setting_cdma_new                 (void);
    const char *        nm_setting_cdma_get_number          (NMSettingCdma *setting);
    const char *        nm_setting_cdma_get_username        (NMSettingCdma *setting);
    const char *        nm_setting_cdma_get_password        (NMSettingCdma *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingCdma

## Properties

      "number"                   gchar*                : Read / Write
      "password"                 gchar*                : Read / Write
      "username"                 gchar*                : Read / Write

## Description

The NMSettingCdma object is a NMSetting subclass that describes properties that allow connections to IS-95-based mobile broadband networks, including those using CDMA2000/EVDO technology.

## Details

### NM_SETTING_CDMA_SETTING_NAME

    #define NM_SETTING_CDMA_SETTING_NAME "cdma"

### enum NMSettingCdmaError

    typedef enum
    {
    	NM_SETTING_CDMA_ERROR_UNKNOWN = 0,
    	NM_SETTING_CDMA_ERROR_INVALID_PROPERTY,
    	NM_SETTING_CDMA_ERROR_MISSING_PROPERTY,
    	NM_SETTING_CDMA_ERROR_MISSING_SERIAL_SETTING
    } NMSettingCdmaError;

### NM_TYPE_SETTING_CDMA_ERROR

    #define NM_TYPE_SETTING_CDMA_ERROR (nm_setting_cdma_error_get_type ())

### NM_SETTING_CDMA_ERROR

    #define NM_SETTING_CDMA_ERROR nm_setting_cdma_error_quark ()

### nm_setting_cdma_error_quark ()

    GQuark              nm_setting_cdma_error_quark         (void);

Registers an error quark for NMSettingCdma if necessary.

Returns :

  the error quark used for NMSettingCdma errors.

### NM_SETTING_CDMA_NUMBER

    #define NM_SETTING_CDMA_NUMBER       "number"

### NM_SETTING_CDMA_USERNAME

    #define NM_SETTING_CDMA_USERNAME     "username"

### NM_SETTING_CDMA_PASSWORD

    #define NM_SETTING_CDMA_PASSWORD     "password"

### NMSettingCdma

    typedef struct _NMSettingCdma NMSettingCdma;

### nm_setting_cdma_get_type ()

    GType               nm_setting_cdma_get_type            (void);

Returns :

### nm_setting_cdma_new ()

    NMSetting *         nm_setting_cdma_new                 (void);

Creates a new NMSettingCdma object with default values.

Returns :

  the new empty NMSettingCdma object

### nm_setting_cdma_get_number ()

    const char *        nm_setting_cdma_get_number          (NMSettingCdma *setting);

`setting` :

  the NMSettingCdma

Returns :

  the "number" property of the setting

### nm_setting_cdma_get_username ()

    const char *        nm_setting_cdma_get_username        (NMSettingCdma *setting);

`setting` :

  the NMSettingCdma

Returns :

  the "username" property of the setting

### nm_setting_cdma_get_password ()

    const char *        nm_setting_cdma_get_password        (NMSettingCdma *setting);

`setting` :

  the NMSettingCdma

Returns :

  the "password" property of the setting

## Property Details

### The `"number"` property

      "number"                   gchar*                : Read / Write

The number to dial to establish the connection to the CDMA-based mobile broadband network, if any. If not specified, the default number (777) is used when required.

Default value: NULL

### The `"password"` property

      "password"                 gchar*                : Read / Write

The password used to authenticate with the network, if required. Many providers do not require a password, or accept any password. But if a password is required, it is specified here.

Default value: NULL

### The `"username"` property

      "username"                 gchar*                : Read / Write

The username used to authenticate with the network, if required. Many providers do not require a username, or accept any username. But if a username is required, it is specified here.

Default value: NULL